# $Id: Build.PL,v 1.1 2005/11/06 17:45:05 asc Exp $

use strict;
use Module::Build;

my $build = Module::Build->new(module_name => 'Yahoo::Geocoder',
			       # dist_author
			       # dist_abstract
			       dist_version_from => 'lib/Yahoo/Geocoder.pm',
			       license           => 'perl',
			       requires => {
				   'XML::XPath'     => '0',
				   'Error'          => '0',
				   'LWP::UserAgent' => '0',
				   'HTTP::Request'  => '0',
				   'Readonly'       => '0',
			       },
			       build_requires => {
				   'Test::Simple' => '>= 0.47',
			       },
			       create_readme      => 1,
			       create_makefile_pl => 'passthrough');

$build->create_build_script();
