# $Id: 10-geocode.t,v 1.2 2005/11/06 17:47:58 asc Exp $
# -*-perl-*-

use strict;

use Test::More;
plan tests => 5;

use_ok("Yahoo::Geocoder");

my $geo = Yahoo::Geocoder->new({"appid" => "yahoo_geocoder_pm"});
isa_ok($geo,"Yahoo::Geocoder");

my $res = $geo->geocode({"location" => "San Francisco, CA"});

isa_ok($res,"XML::XPath");

ok($res->findvalue("/ResultSet/Result/Latitude"),"37.77");
ok($res->findvalue("/ResultSet/Result/Longitude"),"-122.417068");
