# $Id: 20-simple.t,v 1.4 2005/11/06 17:47:58 asc Exp $
# -*-perl-*-

use Test::More;
plan tests => 5;

use_ok("Yahoo::Geocoder");

my $geo = Yahoo::Geocoder->new();
isa_ok($geo,"Yahoo::Geocoder");

my @res = $geo->geocode_as_list({"location" => "Sprinfield",
				 "appid" => "yahoo_geocoder_pm"});

my $count = scalar(@res);
ok($count,"$count results");

my $rand  = int(rand($count));
my $place = $res[$rand];

isa_ok($place,"HASH");

ok(values(%$place),"place has data");
